# Steps to reproduce VanBasco's Karaoke Player's bugs
## Installation
1. Install the latest Arch Linux (6.4.12-arch1-1)
2. Install the following GNOME components and enable GDM:
```
gdm gnome-backgrounds gnome-characters gnome-clocks gnome-color-manager gnome-connections gnome-control-center gnome-disk-utility gnome-shell gnome-software gnome-terminal nautilus networkmanager dhcpcd xdg-desktop-portal-gnome xdg-user-dirs-gtk
```
Be sure in a Wayland session.
3. Install `qsynth` package.
4. Install PipeWire following the [Arch Linux Guide](https://wiki.archlinux.org/title/PipeWire).
5. Install the `wine` package.
6. Install [VanBasco's Karaoke Player](http://www.vanbasco.com/karaokeplayer).

## Bugs
Bugs are documented in the body of the topic, so in the next paragraph I will be explaining the steps I used to produce logs.

## Steps I used to produce logs
1. Open the app
2. Right-click on dash icon -> New Window
3. Open all app's windows: double-click squares near PLAYLIST CONTROL KARAOKE OUTPUT PIANO
4. Start the playback
5. Open another file from nautilus
6. Start the playback
7. Close the app
8. Wait some seconds to make wine close
9. Repeat 5. 6. 7.
